JUCE: RelativeCoordinate::Strings Struct Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Static Public Attributes | List of all members
RelativeCoordinate::Strings Struct Reference
juce_gui_basics » positioning

A set of static strings that are commonly used by the RelativeCoordinate class. More...

`#include <juce_RelativeCoordinate.h>`

## Static Public Attributes
static const String | parent
| "parent"
static const String | left
| "left"
static const String | right
| "right"
static const String | top
| "top"
static const String | bottom
| "bottom"
static const String | x
| "x"
static const String | y
| "y"
static const String | width
| "width"
static const String | height
| "height"

## Detailed Description

A set of static strings that are commonly used by the RelativeCoordinate class.

As well as avoiding using string literals in your code, using these preset values has the advantage that all instances of the same string will share the same, reference-counted String object, so if you have thousands of points which all refer to the same anchor points, this can save a significant amount of memory allocation.

## Member Data Documentation

## ◆ parent

const String RelativeCoordinate::Strings::parent
| static

"parent"

## ◆ left

const String RelativeCoordinate::Strings::left
| static

"left"

## ◆ right

const String RelativeCoordinate::Strings::right
| static

"right"

## ◆ top

const String RelativeCoordinate::Strings::top
| static

"top"

## ◆ bottom

const String RelativeCoordinate::Strings::bottom
| static

"bottom"

## ◆ x

const String RelativeCoordinate::Strings::x
| static

"x"

## ◆ y

const String RelativeCoordinate::Strings::y
| static

"y"

## ◆ width

const String RelativeCoordinate::Strings::width
| static

"width"

## ◆ height

const String RelativeCoordinate::Strings::height
| static

"height"

The documentation for this struct was generated from the following file:

- juce_RelativeCoordinate.h